Ticket #31495 (closed defect: fixed)
hang while "port install erlang"
| Reported by: | lyhcode@… | Owned by: | bfulgham@… |
|---|---|---|---|
| Priority: | Normal | Milestone: | |
| Component: | ports | Version: | 2.0.3 |
| Keywords: | Cc: | ||
| Port: | erlang |
Description (last modified by ryandesign@…) (diff)
Mac OS X: 10.6.8
Hang after exec "sudo port install erlang". It will into infinite loop for following...
help, plz
$ ps aux macports 2904 0.0 0.0 2435004 740 s003 S+ 12:20下午 0:00.01 make opt macports 2903 0.0 0.0 2435548 432 s003 S+ 12:20下午 0:00.00 /bin/sh -c set -e ;^I^I^I^I^I^I^Iapp_pwd=`pwd` ;^I^I^I^I^I^I^Iif test -f vsn.mk; then^I^I^I^I^I^I echo "=== Entering application" `basename $app_pwd` ;^Ifi ;^I^I^I^I^I^I^I^Icase "make" in *clearmake*) tflag="-T";; *) tflag="";; esac;^Ifor d in rtl misc main cerl icode flow util doc/src regalloc sparc ppc x86 amd64 arm opt tools; do^I^I^I^I^I if test -f $d/SKIP ; then^I^I^I^I^I^Iecho "=== Skipping subdir $d, reason:" ;^I^I^Icat $d/SKIP ;^I^I^I^I^I^I^Iecho "===" ;^I^I^I^I^I^I else^I^I^I^I^I^I^I^Iif test ! -d $d ; then^I^I^I^I^I^I echo "=== Skipping subdir $d, it is missing" ;^I^Ielse^I^I^I^I^I^I^I^I xflag="" ;^I^I^I^I^I^I^I if test -f $d/ignore_config_record.inf; then^I^I^Ixflag=$tflag ;^I^I^I^I^I^I fi ;^I^I^I^I^I^I^I (cd $d && make $xflag opt) || exit $? ;^I^Ifi ;^I^I^I^I^I^I^I fi ;^I^I^I^I^I^I^Idone ;^I^I^I^I^I^I^I^Iif test -f vsn.mk; then^I^I^I^I^I^I echo "=== Leaving application" `basename $app_pwd` ;^Ifi macports 2899 0.0 0.0 2435548 836 s003 S+ 12:20下午 0:00.00 /bin/sh -c set -e ;^I^I^I^I^I^I^Iapp_pwd=`pwd` ;^I^I^I^I^I^I^Iif test -f vsn.mk; then^I^I^I^I^I^I echo "=== Entering application" `basename $app_pwd` ;^Ifi ;^I^I^I^I^I^I^I^Icase "make" in *clearmake*) tflag="-T";; *) tflag="";; esac;^Ifor d in rtl misc main cerl icode flow util doc/src regalloc sparc ppc x86 amd64 arm opt tools; do^I^I^I^I^I if test -f $d/SKIP ; then^I^I^I^I^I^Iecho "=== Skipping subdir $d, reason:" ;^I^I^Icat $d/SKIP ;^I^I^I^I^I^I^Iecho "===" ;^I^I^I^I^I^I else^I^I^I^I^I^I^I^Iif test ! -d $d ; then^I^I^I^I^I^I echo "=== Skipping subdir $d, it is missing" ;^I^Ielse^I^I^I^I^I^I^I^I xflag="" ;^I^I^I^I^I^I^I if test -f $d/ignore_config_record.inf; then^I^I^Ixflag=$tflag ;^I^I^I^I^I^I fi ;^I^I^I^I^I^I^I (cd $d && make $xflag opt) || exit $? ;^I^Ifi ;^I^I^I^I^I^I^I fi ;^I^I^I^I^I^I^Idone ;^I^I^I^I^I^I^I^Iif test -f vsn.mk; then^I^I^I^I^I^I echo "=== Leaving application" `basename $app_pwd` ;^Ifi
Change History
comment:1 Changed 21 months ago by ryandesign@…
- Owner changed from macports-tickets@… to bfulgham@…
- Description modified (diff)
- Port set to erlang
comment:2 Changed 21 months ago by lyhcode@…
I found this patch works. https://trac.macports.org/ticket/30516
Command-line usages:
wget http://trac.macports.org/raw-attachment/ticket/30516/Portfile.patch sudo patch $(port file erlang) Portfile.patch sudo port install erlang
Note: See
TracTickets for help on using
tickets.

